%global forgeurl https://github.com/google/ngx_brotli
%global date 20200423
%global tag v1.0.0rc
%forgemeta

Name:           nginx-mod-brotli
Version:        1.0.0~rc
Release:        1%{?dist}
Summary:        nginx brotli compression module
License:        BSD-2-Clause

URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  brotli-devel
BuildRequires:  gcc
BuildRequires:  nginx-mod-devel

%description
Brotli is a generic-purpose lossless compression algorithm that compresses data
using a combination of a modern variant of the LZ77 algorithm, Huffman coding
and 2nd order context modeling, with a compression ratio comparable to the best
currently available general-purpose compression methods. It is similar in speed
with deflate but offers more dense compression.

ngx_brotli is a set of two nginx modules:

    * ngx_brotli filter module - used to compress responses on-the-fly,
    * ngx_brotli static module - used to serve pre-compressed files.

%prep
%forgeautosetup -p1

%build
%nginx_modconfigure
%nginx_modbuild

%install
pushd %{_vpath_builddir} >/dev/null
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_brotli*_module.so %{buildroot}%{nginx_moddir}
popd >/dev/null

install -dm 0755 %{buildroot}%{nginx_modconfdir}
cat <<'EOF' >>%{buildroot}%{nginx_modconfdir}/mod-brotli.conf
load_module "%{nginx_moddir}/ngx_http_brotli_filter_module.so";
load_module "%{nginx_moddir}/ngx_http_brotli_static_module.so";
EOF

%files
%license LICENSE
%doc README.md
%{nginx_moddir}/ngx_http_brotli*_module.so
%{nginx_modconfdir}/mod-brotli.conf

%changelog
* Sat Dec 31 2022 Todd Zullinger <tmz@pobox.com> - 1.0.0~rc-1
- initial package
